plugins {
	`java-gradle-plugin`
	kotlin("jvm") version "1.3.50"
}

group = "com.example"

version = "1.0"

configurations.all {
	resolutionStrategy.eachDependency {
		if ("guava" == requested.module.name) {
			println("PLUGIN    " + requested)
		}
		useVersion("+")
	}
}

repositories.mavenCentral()

dependencies {
	implementation("com.google.guava", "guava", "28.0-jre")
}

gradlePlugin {
	(plugins) {
		register("example") {
			id                  = "example"
			implementationClass = "com.example.ExamplePlugin"
		}
	}
}
